Skip to main content
For example, if a customer has shopped on your website for ₹10, they can choose to redeem CRED Coins worth say, ₹2 and pay the rest ₹8 using credit cards saved on CRED.

Advantages

  • Customers can redeem their CRED Coins on websites.
  • Customers can access the cards they have saved on CRED to make payments on your website or app.
  • CRED recommends which credit card customers can use based on the credit limit, due date and reward points.

Workflow

This diagram explains the workflow:
Feature Request
This is an on-demand feature. Please raise a request with our Support team to get this feature activated on your Razorpay account. to get this feature activated on your account.

Prerequisite

Integrate CRED

To add CRED Pay as a payment method, you need to:
  • Pass the app_offer parameter in Orders API.
  • Pass the method and provider parameters in Create Payments API.

Pass app_offer Parameter in Order

You must create an order using Orders API. In the response, you obtain an order_id which you must pass to Checkout. /orders
Curl

Request Parameters

amount mandatory : integer The transaction amount, expressed in the currency sub-unit, such as paise (in case of INR). For example, for an actual amount of ₹299.35, the value of this field should be 29935. currency mandatory : string The currency in which the transaction should be made. See the list of supported currencies. Default is INR. app_offer optional : boolean Allow/disallow customers from using CRED coins to make payments. This is used to prevent double discounting scenarios where customers have already availed discounts using voucher/coupon and you do not want them to redeem Coins as well. Possible values:
  • true: Customer not allowed to use CRED coins to make payment.
  • false (default): Customer can use CRED coins to make payment.
receipt optional : string Your receipt id for this order should be passed here. Maximum length is 40 characters. notes optional : object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.

Pass method and provider Parameters in Create Payments API

Create Payment

Request Parameters

Along with the other Create Payment API request parameters, you must pass: method mandatory : string The method used to make the payment. Here, it must be app. provider mandatory if method=app : string Name of the PSP app. Here, it must be cred. app_present mandatory if app=cred : boolean Sets the payment flow as collect. Possible values:
  • true: Opens CRED app on customer’s device.
  • false (default): Sends a push notification to customer’s device.